## How to contribute to Call Attendant (callattendant)

First off, thanks for taking the time to contribute.

#### **Did you find a bug?**

* **Ensure the bug was not already reported** by searching on GitHub under [Issues](https://github.com/thess/callattendant/issues).

* If you're unable to find an open issue addressing the problem, [open a new one](https://github.com/thess/callattendant/issues/new). Be sure to include a **title and clear description**, as much relevant information as possible, and a **code sample** or an **executable test case** demonstrating the expected behavior that is not occurring.

#### **Did you write a patch that fixes a bug?**

* Open a new GitHub pull request with the patch.

* Ensure the PR description clearly describes the problem and solution. Include the relevant issue number if applicable.

#### **Do you intend to add a new feature or change an existing one?**

* Suggest your change by [opening a new issue](https://github.com/thess/callattendant/issues/new) and add an _enhancement_ label to it. Be sure to include a **title and clear description**, as much relevant information and justification as possible and start writing code for a future pull request.

* Open a new GitHub pull request with the new feature. The pull request should only include the code changes related to the new or changed feature.

* Ensure the PR description clearly describes the new feature or enhancement. Include the relevant issue number if applicable.

#### **Do you have questions about the source code, operations, configuration or installation?**

* Ask a question by [opening a new issue](https://github.com/thess/callattendant/issues/new) in GitHub and add a _question_ label to it.

Thanks!
